package CF::Controller::Jitsi;

use Mojo::Base 'Mojolicious::Controller';
use feature 'signatures';
no warnings qw{ experimental::signatures };

sub url ($c) {
    $c->openapi->valid_input or return;

    my $args = $c->req->json;

    $c->render(
        status  => 200,
        openapi => {
            url => $c->jitsi_url(
                $args->{room} // $c->cfg->{jitsi_room},
                $args->{token_lifetime} // $c->cfg->{jitsi_token_lifetime},
                %{ $args },
            )
        },
    );
};

1;
